
int _efl_ui_position_manager_grid_efl_ui_position_manager_entity_version(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, int max);


void _efl_ui_position_manager_grid_efl_ui_position_manager_entity_viewport_set(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, Eina_Rect viewport);


void _efl_ui_position_manager_grid_efl_ui_position_manager_entity_scroll_position_set(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, double x, double y);


void _efl_ui_position_manager_grid_efl_ui_position_manager_entity_item_added(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, int added_index, Efl_Gfx_Entity *subobj);


void _efl_ui_position_manager_grid_efl_ui_position_manager_entity_item_removed(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, int removed_index, Efl_Gfx_Entity *subobj);


Eina_Rect _efl_ui_position_manager_grid_efl_ui_position_manager_entity_position_single_item(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, int idx);


void _efl_ui_position_manager_grid_efl_ui_position_manager_entity_item_size_changed(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, int start_id, int end_id);


Eina_Bool _efl_ui_position_manager_grid_efl_ui_position_manager_entity_relative_item(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, unsigned int current_id, Efl_Ui_Focus_Direction direction, unsigned int *index);


void _efl_ui_position_manager_grid_efl_ui_position_manager_entity_entities_ready(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, unsigned int start_id, unsigned int end_id);


void _efl_ui_position_manager_grid_efl_ui_layout_orientable_orientation_set(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, Efl_Ui_Layout_Orientation dir);


Efl_Ui_Layout_Orientation _efl_ui_position_manager_grid_efl_ui_layout_orientable_orientation_get(const Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd);


void _efl_ui_position_manager_grid_efl_ui_position_manager_data_access_v1_data_access_set(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd, Efl_Ui_Win *canvas, void *obj_access_data, Efl_Ui_Position_Manager_Object_Batch_Callback obj_access, Eina_Free_Cb obj_access_free_cb, void *size_access_data, Efl_Ui_Position_Manager_Size_Batch_Callback size_access, Eina_Free_Cb size_access_free_cb, int size);


Efl_Object *_efl_ui_position_manager_grid_efl_object_finalize(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd);


void _efl_ui_position_manager_grid_efl_object_invalidate(Eo *obj, Efl_Ui_Position_Manager_Grid_Data *pd);


static Eina_Bool
_efl_ui_position_manager_grid_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_POSITION_MANAGER_GRID_EXTRA_OPS
#define EFL_UI_POSITION_MANAGER_GRID_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_entity_version, _efl_ui_position_manager_grid_efl_ui_position_manager_entity_version),
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_entity_viewport_set, _efl_ui_position_manager_grid_efl_ui_position_manager_entity_viewport_set),
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_entity_scroll_position_set, _efl_ui_position_manager_grid_efl_ui_position_manager_entity_scroll_position_set),
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_entity_item_added, _efl_ui_position_manager_grid_efl_ui_position_manager_entity_item_added),
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_entity_item_removed, _efl_ui_position_manager_grid_efl_ui_position_manager_entity_item_removed),
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_entity_position_single_item, _efl_ui_position_manager_grid_efl_ui_position_manager_entity_position_single_item),
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_entity_item_size_changed, _efl_ui_position_manager_grid_efl_ui_position_manager_entity_item_size_changed),
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_entity_relative_item, _efl_ui_position_manager_grid_efl_ui_position_manager_entity_relative_item),
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_entity_entities_ready, _efl_ui_position_manager_grid_efl_ui_position_manager_entity_entities_ready),
      EFL_OBJECT_OP_FUNC(efl_ui_layout_orientation_set, _efl_ui_position_manager_grid_efl_ui_layout_orientable_orientation_set),
      EFL_OBJECT_OP_FUNC(efl_ui_layout_orientation_get, _efl_ui_position_manager_grid_efl_ui_layout_orientable_orientation_get),
      EFL_OBJECT_OP_FUNC(efl_ui_position_manager_data_access_v1_data_access_set, _efl_ui_position_manager_grid_efl_ui_position_manager_data_access_v1_data_access_set),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_position_manager_grid_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_ui_position_manager_grid_efl_object_invalidate),
      EFL_UI_POSITION_MANAGER_GRID_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_position_manager_grid_class_desc = {
   EO_VERSION,
   "Efl.Ui.Position_Manager.Grid",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Position_Manager_Grid_Data),
   _efl_ui_position_manager_grid_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_position_manager_grid_class_get, &_efl_ui_position_manager_grid_class_desc, EFL_OBJECT_CLASS, EFL_UI_POSITION_MANAGER_ENTITY_INTERFACE, EFL_UI_POSITION_MANAGER_DATA_ACCESS_V1_INTERFACE, NULL);
